DATE(1)

NAME
date - display or set date and time

SYNOPSIS
date [-ajnu] [-d date] [-r seconds] [+format] [[[[[[ CC] yy] mm] dd] HH]MM[ .SS]]

DESCRIPTION
date displays the current date and time when invoked without arguments. Providing arguments will format the date and time in a user-defined way or set the date. Only the superuser may set the date.

The options are as follows:

-a  Use adjtime(2) to change the local system time slowly, maintaining it as a monotonically increasing function. -a implies -n.

-d date
    Parse the provided human-described date and time and display the result without actually changing the system clock. (See parsedate(3) for examples.)

-j  Parse the provided canonical representation of date and time (described below) and display the result without actually changing the system clock.

-n  The utility timed(8) is used to synchronize the clocks on groups of machines. By default, if timed is running, date will set the time on all of the machines in the local group. The -n option stops date from setting the time for other than the current machine.

-r seconds
    Print out the date and time that is seconds from the Epoch.

-u  Display or set the date in UTC (universal) time.

An operand with a leading plus (+) sign signals a user-defined format string which specifies the format in which to display the date and time. The format string may contain any of the conversion specifications described in the strftime(3) manual page, as well as any arbitrary text. A newline character is always output after the characters specified by the format string. The format string for the default display is:

    %a %b %e %H:%M:%S %Z %Y

If an operand does not have a leading plus sign, it is interpreted as a value for setting the system's notion of the current date and time. The canonical representation for setting the date and time is:

CC  The first two digits of the year (the century).
yy  The second two digits of the year. If yy is specified, but CC is not, a value for yy between 69 and 99 results in a CC value of 19. Otherwise, a CC value of 20 is used.
mm  The month of the year, from 01 to 12.
dd  The day of the month, from 01 to 31.
HH  The hour of the day, from 00 to 23.
MM  The minute of the hour, from 00 to 59.
SS  The second of the minute, from 00 to 61.

Everything but the minutes is optional.

Time changes for Daylight Saving and Standard time and leap seconds and years are handled automatically.

ENVIRONMENT
The following environment variables affect the execution of date:

TZ  The timezone to use when displaying dates. See environ(7) for more information.

FILES
/etc/localtime
    Symlink pointing to system's default timezone information file in /usr/share/zoneinfo directory.
/var/log/wtmp
    A record of date resets and time changes.
/var/log/messages
    A record of the user setting the time.

EXAMPLES
The command:

    date '+DATE: %m/%d/%y%nTIME: %H:%M:%S'

will display:

    DATE: 11/21/87
    TIME: 13:36:16

The command:

    date 8506131627

sets the date to “June 13, 1985, 4:27 PM”.

The command:

    date 1432

sets the time to 2:32 PM, without modifying the date.

DIAGNOSTICS
Exit status is 0 on success, 1 if unable to set the date, and 2 if able to set the local date, but unable to set it globally.

Occasionally, when timed(8) synchronizes the time on many hosts, the setting of a new time value may require more than a few seconds. On these occasions, date prints: ‘Network time being set’. The message ‘Communication error with timed’ occurs when the communication between date and timed fails.

SEE ALSO
adjtime(2), gettimeofday(2), settimeofday(2), parsedate(3), strftime(3), utmp(5), timed(8) TSP: The Time Synchronization Protocol for UNIX 4.3BSD, R. Gusella, S. Zatti.

STANDARDS
The date utility is expected to be compatible with p1003.2.